#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void jsp_res(jsp* yy, jsp* der_x, jsp* x, jsp* p, int * condit, int * lock, int * prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x p
#pragma ad dep yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   jsp par_tw=0; 
   jsp par_fbin=0; 
   jsp par_deltatime=0; 
   jsp par_tain=0; 
   jsp par_tbin=0; 
   jsp par_b1=0; 
   jsp par_b2=0; 
   jsp par_b3=0; 
   jsp par_b4=0; 
   jsp par_b5=0; 
   jsp par_b6=0; 
   jsp par_yconti=0; 
   jsp par_u=0; 
   jsp par_kout=0; 
   jsp par_mwa=0; 
   jsp par_mwb=0; 
   jsp par_mwp=0; 
   jsp par_mwc=0; 
   jsp par_mwe=0; 
   jsp par_mwg=0; 
   jsp par_cp=0; 
   jsp par_rho=0; 
   jsp par_dh1=0; 
   jsp par_dh2=0; 
   jsp par_dh3=0; 
   jsp par_a0=0; 
   jsp par_v0=0; 
   jsp par_fain=0; 
   jsp var_k1=0; 
   jsp der_var_k1=0; 
   jsp var_k2=0; 
   jsp der_var_k2=0; 
   jsp var_k3=0; 
   jsp der_var_k3=0; 
   jsp var_r1=0; 
   jsp der_var_r1=0; 
   jsp var_r2=0; 
   jsp der_var_r2=0; 
   jsp var_r3=0; 
   jsp der_var_r3=0; 
   jsp var_wa=0; 
   jsp der_var_wa=0; 
   jsp var_wb=0; 
   jsp der_var_wb=0; 
   jsp var_wc=0; 
   jsp der_var_wc=0; 
   jsp var_wp=0; 
   jsp der_var_wp=0; 
   jsp var_wg=0; 
   jsp der_var_wg=0; 
   jsp var_we=0; 
   jsp der_var_we=0; 
   jsp var_mg=0; 
   jsp der_var_mg=0; 
   jsp var_fin=0; 
   jsp der_var_fin=0; 
   jsp var_fout=0; 
   jsp der_var_fout=0; 
   jsp var_v=0; 
   jsp der_var_v=0; 
   jsp var_dtdt=0; 
   jsp der_var_dtdt=0; 
   jsp var_dma=0; 
   jsp der_var_dma=0; 
   jsp var_dmb=0; 
   jsp der_var_dmb=0; 
   jsp var_dmc=0; 
   jsp der_var_dmc=0; 
   jsp var_dme=0; 
   jsp der_var_dme=0; 
   jsp var_dmp=0; 
   jsp der_var_dmp=0; 
   jsp var_h_masschange=0; 
   jsp der_var_h_masschange=0; 
   jsp var_h_inout=0; 
   jsp der_var_h_inout=0; 
   jsp var_h_transfer=0; 
   jsp der_var_h_transfer=0; 
   jsp var_h_react=0; 
   jsp der_var_h_react=0; 
   jsp var_m=0; 
   jsp der_var_m=0; 
   jsp var_ma=0; 
   jsp der_var_ma=0; 
   jsp var_mb=0; 
   jsp der_var_mb=0; 
   jsp var_mc=0; 
   jsp der_var_mc=0; 
   jsp var_mp=0; 
   jsp der_var_mp=0; 
   jsp var_me=0; 
   jsp der_var_me=0; 
   jsp var_tr=0; 
   jsp der_var_tr=0; 
   jsp var_obj=0; 
   jsp der_var_obj=0; 
   jsp var_ttime=0; 
   jsp der_var_ttime=0; 
   jsp var_i_expr=0; 
   jsp var_div0=0; 
   jsp var_exp1=0; 
   jsp var_i_expr2=0; 
   jsp var_i_expr4=0; 
   jsp var_div3=0; 
   jsp var_exp5=0; 
   jsp var_i_expr6=0; 
   jsp var_i_expr8=0; 
   jsp var_div7=0; 
   jsp var_exp9=0; 
   jsp var_i_expr10=0; 
   jsp var_div11=0; 
   jsp var_div12=0; 
   jsp var_div13=0; 
   jsp var_div14=0; 
   jsp var_div15=0; 
   jsp var_div16=0; 
   jsp var_div17=0; 
   jsp var_div18=0; 
   jsp var_div19=0; 
   jsp var_div20=0; 
   jsp var_div21=0; 
   jsp var_div22=0; 
   jsp var_i_expr24=0; 
   jsp var_i_expr25=0; 
   jsp var_div23=0; 
   jsp var_i_expr27=0; 
   jsp var_div26=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   par_tw=p[0];
   par_fbin=p[1];
   par_deltatime=p[2];
   par_tain=p[3];
   par_tbin=p[4];
   par_b1=p[5];
   par_b2=p[6];
   par_b3=p[7];
   par_b4=p[8];
   par_b5=p[9];
   par_b6=p[10];
   par_yconti=p[11];
   par_u=p[12];
   par_kout=p[13];
   par_mwa=p[14];
   par_mwb=p[15];
   par_mwp=p[16];
   par_mwc=p[17];
   par_mwe=p[18];
   par_mwg=p[19];
   par_cp=p[20];
   par_rho=p[21];
   par_dh1=p[22];
   par_dh2=p[23];
   par_dh3=p[24];
   par_a0=p[25];
   par_v0=p[26];
   par_fain=p[27];
   var_k1=x[0];
   der_var_k1=der_x[0];
   var_k2=x[1];
   der_var_k2=der_x[1];
   var_k3=x[2];
   der_var_k3=der_x[2];
   var_r1=x[3];
   der_var_r1=der_x[3];
   var_r2=x[4];
   der_var_r2=der_x[4];
   var_r3=x[5];
   der_var_r3=der_x[5];
   var_wa=x[6];
   der_var_wa=der_x[6];
   var_wb=x[7];
   der_var_wb=der_x[7];
   var_wc=x[8];
   der_var_wc=der_x[8];
   var_wp=x[9];
   der_var_wp=der_x[9];
   var_wg=x[10];
   der_var_wg=der_x[10];
   var_we=x[11];
   der_var_we=der_x[11];
   var_mg=x[12];
   der_var_mg=der_x[12];
   var_fin=x[13];
   der_var_fin=der_x[13];
   var_fout=x[14];
   der_var_fout=der_x[14];
   var_v=x[15];
   der_var_v=der_x[15];
   var_dtdt=x[16];
   der_var_dtdt=der_x[16];
   var_dma=x[17];
   der_var_dma=der_x[17];
   var_dmb=x[18];
   der_var_dmb=der_x[18];
   var_dmc=x[19];
   der_var_dmc=der_x[19];
   var_dme=x[20];
   der_var_dme=der_x[20];
   var_dmp=x[21];
   der_var_dmp=der_x[21];
   var_h_masschange=x[22];
   der_var_h_masschange=der_x[22];
   var_h_inout=x[23];
   der_var_h_inout=der_x[23];
   var_h_transfer=x[24];
   der_var_h_transfer=der_x[24];
   var_h_react=x[25];
   der_var_h_react=der_x[25];
   var_m=x[26];
   der_var_m=der_x[26];
   var_ma=x[27];
   der_var_ma=der_x[27];
   var_mb=x[28];
   der_var_mb=der_x[28];
   var_mc=x[29];
   der_var_mc=der_x[29];
   var_mp=x[30];
   der_var_mp=der_x[30];
   var_me=x[31];
   der_var_me=der_x[31];
   var_tr=x[32];
   der_var_tr=der_x[32];
   var_obj=x[33];
   der_var_obj=der_x[33];
   var_ttime=x[34];
   der_var_ttime=der_x[34];
   var_i_expr=(273.15+var_tr);
   jsp_acs_div(par_b2,var_i_expr,var_div0);
   var_i_expr2=0-1000*var_div0;
   jsp_acs_exp(var_i_expr2,var_exp1);
   yy[i_E]=var_k1-(par_b1*var_exp1);
   i_E=i_E+1;
   var_i_expr4=(273.15+var_tr);
   jsp_acs_div(par_b4,var_i_expr4,var_div3);
   var_i_expr6=0-1000*var_div3;
   jsp_acs_exp(var_i_expr6,var_exp5);
   yy[i_E]=var_k2-(par_b3*var_exp5);
   i_E=i_E+1;
   var_i_expr8=(273.15+var_tr);
   jsp_acs_div(par_b6,var_i_expr8,var_div7);
   var_i_expr10=0-1000*var_div7;
   jsp_acs_exp(var_i_expr10,var_exp9);
   yy[i_E]=var_k3-(par_b5*var_exp9);
   i_E=i_E+1;
   yy[i_E]=var_r1-(1000*var_k1*var_wa*var_wb);
   i_E=i_E+1;
   yy[i_E]=var_r2-(1000*var_k2*var_wb*var_wc);
   i_E=i_E+1;
   yy[i_E]=var_r3-(1000*var_k3*var_wc*var_wp);
   i_E=i_E+1;
   jsp_acs_div(var_ma,var_m,var_div11);
   yy[i_E]=var_wa-(var_div11);
   i_E=i_E+1;
   jsp_acs_div(var_mb,var_m,var_div12);
   yy[i_E]=var_wb-(var_div12);
   i_E=i_E+1;
   jsp_acs_div(var_mc,var_m,var_div13);
   yy[i_E]=var_wc-(var_div13);
   i_E=i_E+1;
   jsp_acs_div(var_mp,var_m,var_div14);
   yy[i_E]=var_wp-(var_div14);
   i_E=i_E+1;
   jsp_acs_div(var_me,var_m,var_div15);
   yy[i_E]=var_we-(var_div15);
   i_E=i_E+1;
   jsp_acs_div(var_mg,var_m,var_div16);
   yy[i_E]=var_wg-(var_div16);
   i_E=i_E+1;
   yy[i_E]=der_var_m-(par_deltatime*(var_fin-var_fout));
   i_E=i_E+1;
   yy[i_E]=var_fin-(par_yconti*par_fain+par_fbin);
   i_E=i_E+1;
   yy[i_E]=var_fout-(par_yconti*var_fin);
   i_E=i_E+1;
   yy[i_E]=der_var_ma-(par_deltatime*var_dma);
   i_E=i_E+1;
   yy[i_E]=var_dma-(par_yconti*par_fain-var_wa*var_fout-0.001*var_r1*var_m);
   i_E=i_E+1;
   yy[i_E]=der_var_mb-(par_deltatime*var_dmb);
   i_E=i_E+1;
   jsp_acs_div(var_r1,par_mwa,var_div17);
   yy[i_E]=var_dmb-(par_fbin-var_wb*var_fout-(0.001*par_mwb*var_div17+0.001*var_r2)*var_m);
   i_E=i_E+1;
   yy[i_E]=der_var_mc-(par_deltatime*var_dmc);
   i_E=i_E+1;
   jsp_acs_div(var_r1,par_mwa,var_div18);
   jsp_acs_div(var_r2,par_mwb,var_div19);
   yy[i_E]=var_dmc-((0.001*par_mwc*var_div18-0.001*par_mwc*var_div19-0.001*var_r3)*var_m-var_wc*var_fout);
   i_E=i_E+1;
   yy[i_E]=der_var_mp-(par_deltatime*var_dmp);
   i_E=i_E+1;
   jsp_acs_div(var_r2,par_mwb,var_div20);
   jsp_acs_div(var_r3,par_mwc,var_div21);
   yy[i_E]=var_dmp-((0.001*par_mwp*var_div20-0.001*par_mwp*var_div21)*var_m-var_wp*var_fout);
   i_E=i_E+1;
   yy[i_E]=der_var_me-(par_deltatime*var_dme);
   i_E=i_E+1;
   jsp_acs_div(var_m,par_mwb,var_div22);
   yy[i_E]=var_dme-(0.001*par_mwe*var_r2*var_div22-var_we*var_fout);
   i_E=i_E+1;
   yy[i_E]=var_m-(var_ma+var_mb+var_mc+var_mp+var_me+var_mg);
   i_E=i_E+1;
   yy[i_E]=var_m-(par_rho*var_v);
   i_E=i_E+1;
   yy[i_E]=der_var_tr-(par_deltatime*var_dtdt);
   i_E=i_E+1;
   var_i_expr24=(var_h_masschange+var_h_inout+var_h_transfer+var_h_react);
   var_i_expr25=(var_m*par_cp);
   jsp_acs_div(var_i_expr24,var_i_expr25,var_div23);
   yy[i_E]=var_dtdt-(var_div23);
   i_E=i_E+1;
   yy[i_E]=var_h_react-(0-0.001*(par_dh1*var_r1*var_m+par_dh2*var_r2*var_m+par_dh3*var_r3*var_m));
   i_E=i_E+1;
   var_i_expr27=(var_tr-par_tw);
   jsp_acs_div(var_i_expr27,par_v0,var_div26);
   yy[i_E]=var_h_transfer-(0-var_v*par_a0*par_u*var_div26);
   i_E=i_E+1;
   yy[i_E]=var_h_inout-(par_fbin*par_cp*par_tbin+par_yconti*par_fain*par_cp*par_tain-par_yconti*var_fout*par_cp*var_tr);
   i_E=i_E+1;
   yy[i_E]=var_h_masschange-(0-(1-par_yconti)*par_fbin*par_cp*var_tr);
   i_E=i_E+1;
   yy[i_E]=der_var_obj-(par_deltatime*(0-1143.38*var_wp*var_fout-25.92*var_we*var_fout+114.34*par_fbin+76.23*par_fain*par_yconti));
   i_E=i_E+1;
   yy[i_E]=der_var_ttime-(par_deltatime);
   i_E=i_E+1;
   n_c=i_C;
}
